Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16220

Description

In version 1.8 when you type a scale input into the scale box it automatically converts to 1:xxxx (the number you typed in)

1.9 does not do this so you end up with a scale of 2000:1 or whatever.

Is this a bug or a feature. If latter is there any way a setting will control this behaviour.

History

#1 - 2013-02-16 11:48 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.0.0

I would say that is a bug and a regression.

#2 - 2013-02-19 11:48 PM - Magnus Homann

- Priority changed from Severe/Regression to Low

I think this is the right behaviour. If you want 1:2000, it's easy to write. If you want 2000:1 it is also easu to write. If you enter 2000, that is the same as

2000:1.

#3 - 2013-02-20 07:49 AM - Amit Kulkarni

Pull request https://github.com/qgis/Quantum-GIS/pull/430 fixes this for all cases. 1:2000, 2000, 2000:1

#4 - 2013-02-20 11:20 PM - Magnus Homann

Not sure what you mean, but scales "1234" and "1:1234" is not the same to me. Neither is "0.001" and "1000".

#5 - 2013-03-01 03:16 AM - Alexander Bruy

Amit Kulkarni wrote:

Pull request https://github.com/qgis/Quantum-GIS/pull/430 fixes this for all cases. 1:2000, 2000, 2000:1
And breaks test. Please update unit test accordingly

#6 - 2014-06-21 01:31 PM - Jürgen Fischer

- Category set to GUI

#7 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-07-12 05:07 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Seems fixed in master. Please reopen if necessary.
